<?xml version="1.0"?>
<loggingConfiguration name="Logging Application Block" tracingEnabled="true" defaultCategory="Business Error" logWarningsWhenNoCategoriesMatch="true">
  <listeners>
    <add name="Database Trace Listener" formatter="Text Formatter" type="RedPoint.Shared.CustomFormattedDatabaseTraceListener, RedPoint.Shared"
      listenerDataType="RedPoint.Microsoft.Practices.EnterpriseLibrary.Logging.Configuration.CustomTraceListenerData, RedPoint.Microsoft.Practices.EnterpriseLibrary.Logging"
      traceOutputOptions="None" initializeData=""/>
    <add name="Rolling Flat File Trace Listener"
      type="RedPoint.Microsoft.Practices.EnterpriseLibrary.Logging.TraceListeners.RollingFlatFileTraceListener, RedPoint.Microsoft.Practices.EnterpriseLibrary.Logging"
      listenerDataType="RedPoint.Microsoft.Practices.EnterpriseLibrary.Logging.Configuration.RollingFlatFileTraceListenerData, RedPoint.Microsoft.Practices.EnterpriseLibrary.Logging"
      fileName="App_logs\RPI-RollingFlatFile.log" footer="==================================" formatter="Rolling File Text Formatter" header=""
      rollInterval="Day" traceOutputOptions="DateTime, Timestamp" filter="All"/>
  </listeners>
  <formatters>
    <add name="Text Formatter"
      template="{timestamp(local)}&#xD;&#xA;{message}&#xD;&#xA;Category: {category}&#xD;&#xA;Priority: {priority}&#xD;&#xA;EventId: {eventid}&#xD;&#xA;Severity: {severity}&#xD;&#xA;Title:{title}&#xD;&#xA;Machine: {machine}&#xD;&#xA;Application Domain: {appDomain}&#xD;&#xA;Extended Properties: {dictionary({key} - {value}&#xD;&#xA;)}"
      type="RedPoint.Microsoft.Practices.EnterpriseLibrary.Logging.Formatters.TextFormatter, RedPoint.Microsoft.Practices.EnterpriseLibrary.Logging"/>
    <add name="Rolling File Text Formatter"
      template="{timestamp(local)}&#xD;&#xA;{message}&#xD;&#xA;Severity: {severity}&#xD;&#xA;Extended Properties: {dictionary({key} - {value}&#xD;&#xA;)}"
      type="RedPoint.Microsoft.Practices.EnterpriseLibrary.Logging.Formatters.TextFormatter, RedPoint.Microsoft.Practices.EnterpriseLibrary.Logging"/>
  </formatters>
  <categorySources>
    <add switchValue="All" name="Business Error">
      <listeners>
        <!--<add name="Rolling Flat File Trace Listener" />-->
        <add name="Database Trace Listener"/>
      </listeners>
    </add>
  </categorySources>
  <specialSources>
    <allEvents switchValue="All" name="All Events">
      <listeners>
        <!--<add name="Rolling Flat File Trace Listener" />-->
      </listeners>
    </allEvents>
    <notProcessed switchValue="All" name="Unprocessed Category">
      <listeners>
        <!--<add name="Rolling Flat File Trace Listener" />-->
      </listeners>
    </notProcessed>
    <errors switchValue="All" name="Logging Errors &amp; Warnings">
      <listeners>
        <!--<add name="Rolling Flat File Trace Listener" />-->
      </listeners>
    </errors>
  </specialSources>
</loggingConfiguration>


